cURL
curl --request POST \
--url https://services.sandbox.pagosapi.com/loon/rtau/inquiry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-merchant-id: <x-merchant-id>' \
--data '
{
"requestId": "unique-uuid",
"network": "visa",
"account": {
"accountNumber": "4111111111111111",
"expiryYear": "2019",
"expiryMonth": "12",
"metadata": null
},
"subMerchantId": null
}
'import requests
url = "https://services.sandbox.pagosapi.com/loon/rtau/inquiry"
payload = {
"requestId": "unique-uuid",
"network": "visa",
"account": {
"accountNumber": "4111111111111111",
"expiryYear": "2019",
"expiryMonth": "12",
"metadata": None
},
"subMerchantId": None
}
headers = {
"x-merchant-id": "<x-merchant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-merchant-id': '<x-merchant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
requestId: 'unique-uuid',
network: 'visa',
account: {
accountNumber: '4111111111111111',
expiryYear: '2019',
expiryMonth: '12',
metadata: null
},
subMerchantId: null
})
};
fetch('https://services.sandbox.pagosapi.com/loon/rtau/inquiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountEncrypted": null,
"account": {
"accountNumber": "4111111111111111",
"expiryYear": "2019",
"expiryMonth": "12",
"newAccountNumber": "4111111111111234",
"newExpiryYear": "2029",
"newExpiryMonth": "5",
"responseCode": "LAE",
"errorCode": null,
"metadata": null
},
"requestId": "unique-uuid"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Real-Time Account Updater API
Real-Time Account Updater Inquiry
When sending legacy encrypted payloads, use accountEncrypted in request and response
POST
/
loon
/
rtau
/
inquiry
cURL
Authorizations
Format is: Bearer <api_key>, where <api_key> is your Pagos API key
Headers
Merchant identifier for requests.
Body
application/json
⌘I

